struct ff_condition_effect
Prev | Chapter 28. Input Subsystem | Next

## Name

struct ff_condition_effect — defines a spring or friction force-feedback effect

## Synopsis

    struct ff_condition_effect {
      __u16 right_saturation;
      __u16 left_saturation;
      __s16 right_coeff;
      __s16 left_coeff;
      __u16 deadband;
      __s16 center;
    };

## Members

right_saturation

  maximum level when joystick moved all way to the right

left_saturation

  same for the left side

right_coeff

  controls how fast the force grows when the joystick moves to the right

left_coeff

  same for the left side

deadband

  size of the dead zone, where no force is produced

center

  position of the dead zone

Prev | Up | Next
struct ff_ramp_effect | Home | struct ff_periodic_effect